<?php
/**
 * Cross-sells
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/cart/cross-sells.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 4.4.0
 */

defined( 'ABSPATH' ) || exit;

// Checked is enable Cross Sell Feature
$crosssell = !empty(insopt( 'crosssell' )) ? insopt( 'crosssell' ) : false;


if ( $cross_sells && $crosssell == true ) : ?> 
	<div class="ins-cross-sells cross-sells">
		<?php
		
		// Checked is enable Cross Sell Feature
		$crosssell_heading =  !empty(insopt( 'crosssell-heading' )) ? insopt( 'crosssell-heading' ) : 'You may be interested in&hellip;';
		$heading = apply_filters( 'woocommerce_product_cross_sells_products_heading', __( $crosssell_heading, 'instantio' ) );

		if ( $heading ) :
			?>
			<h2 class="ins-cross-sell-title"><?php echo esc_html( $heading ); ?></h2>
		<?php endif; ?>

		<?php //woocommerce_product_loop_start(); ?> 
		<div class="ins-cross-sell">
			<?php foreach ( $cross_sells as $cross_sell ) : ?>
				<?php
					$product_type_class = $cross_sell->is_type( 'variable' ) == true ? 'product_type_variable' : 'product_type_simple ajax_add_to_cart'; 
				?>
				<div class="ins-single-product-sell">
					<div class="ins-single-product-sell-img">
						<?php echo get_the_post_thumbnail( $cross_sell->get_id(), 'thumbnail' ); ?>
					</div>
					<div class="ins-sell-content">
						<h3><?php echo $cross_sell->get_name(); ?></h3>
						<!-- Price  -->
						<div class="ins-sell-content-meta">
							<?php echo $cross_sell->get_price_html(); ?> 
							<!-- ajax add to cart-->
							<?php 
							echo apply_filters( 'woocommerce_loop_add_to_cart_link', // WPCS: XSS ok.
								sprintf( '<a href="%s" data-quantity="%s" class="%s" data-product_id="%s" %s>%s</a>',
									esc_url( $cross_sell->add_to_cart_url() ),
									esc_attr( isset( $args['quantity'] ) ? $args['quantity'] : 1 ),
									esc_attr( isset( $args['class'] ) ? $args['class'] : 'button ins-sell-add-to-cart '.$product_type_class.' add_to_cart_button' ),
									$cross_sell->get_id(),
									isset( $args['attributes'] ) ? wc_implode_html_attributes( $args['attributes'] ) : '',
									esc_html( $cross_sell->add_to_cart_text() )
								),
							$cross_sell, $args ); 
							?>  
						</div>
					</div>
				</div>  
			<?php endforeach; ?>
		</div>
		<?php //woocommerce_product_loop_end(); ?>

	</div>
	<?php
endif;

wp_reset_postdata();