<?php
/**
 * Single Product Up-Sells
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/up-sells.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Checked is enable Up Sell Feature
$ins_upsell = !empty(insopt( 'ins-upsell' )) ? insopt( 'ins-upsell' ) : false; 
if ( $upsells && $ins_upsell == true ) : ?>

	<section class="ins-up-sells up-sells upsells products">
		<?php
        // Checked is enable Up Sell Feature
		$upsell_heading =  !empty(insopt( 'upsell-heading' )) ? insopt( 'upsell-heading' ) : 'You may also like&hellip;';
		$heading = apply_filters( 'woocommerce_product_upsells_products_heading', __( $upsell_heading, 'instantio' ) );

		if ( $heading ) :
			?>
			<h2 class="ins-cross-sell-title"><?php echo esc_html( $heading ); ?></h2>
		<?php endif; ?>

        <?php //woocommerce_product_loop_start(); ?> 
			<div class="ins-product-sell-carousel ins_up_sell owl-carousel">
			<?php foreach ( $upsells as $upsell ) : ?>
				<?php
					$product_type_class = $upsell->is_type( 'variable' ) == true ? 'product_type_variable' : 'product_type_simple ajax_add_to_cart'; 
				?>
				<div class="ins-single-product-sell">
					<div class="ins-single-product-sell-img">
						<?php echo get_the_post_thumbnail( $upsell->get_id(), 'thumbnail' ); ?>
					</div>
					<div class="ins-sell-content">
						<h3><?php echo $upsell->get_name(); ?></h3>
						<!-- Price  -->
						<div class="ins-sell-content-meta">
							<?php echo $upsell->get_price_html(); ?> 
							<!-- ajax add to cart-->
							<?php 
							echo apply_filters( 'woocommerce_loop_add_to_cart_link', // WPCS: XSS ok.
								sprintf( '<a href="%s" data-quantity="%s" class="%s" data-product_id="%s" %s>%s</a>',
									esc_url( $upsell->add_to_cart_url() ),
									esc_attr( isset( $args['quantity'] ) ? $args['quantity'] : 1 ),
									esc_attr( isset( $args['class'] ) ? $args['class'] : 'button ins-sell-add-to-cart '.$product_type_class.' add_to_cart_button' ),
									$upsell->get_id(),
									isset( $args['attributes'] ) ? wc_implode_html_attributes( $args['attributes'] ) : '',
									esc_html( $upsell->add_to_cart_text() )
								),
							$upsell, $args ); 
							?>  
						</div>
					</div>
				</div>  
			<?php endforeach; ?>
			</div>
		<?php //woocommerce_product_loop_end(); ?>

	</section>

	<?php
endif;

wp_reset_postdata();