<?php  
/**
 * Plugin Name: Instantio Pro
 * Plugin URI: https://wpinstant.io/
 * Description: Instantio converts multistep checkout into WooCommerce One Page Checkout. The Whole WooCommerce checkout process would take only 10-15 seconds. Yes, you heard it right! Only 10-15 Seconds! All your customer have to do is “Add to Cart”, a popup/cart drawer will appear with the cart view. Your customer can direct checkout WooCommerce based store and order from that single window!. No Page Reload whatsoever!
 * Author: 20script
 * Text Domain: instantio
 * Domain Path: /lang/
 * Author URI: https://www.20script.ir
 * Tags: wooinstant,responsive,woocommerce
 * Version: 3.1.1
 * Tested up to: 6.3
 * Requires PHP: 7.4
 * WC tested up to: 8.0.3
 */ 

// don't load directly
defined( 'ABSPATH' ) || exit;

class WOOINS{
    public function __construct() { 
       
		$this->define_constants();
		$this->includes();
		$this->init_hooks();
  
	}

    /**
     * Define constants
     */
    private function define_constants() {

        if ( ! defined( 'INSTANTIO_PRO_VERSION' ) ) { 
            define( 'INSTANTIO_PRO_VERSION', '3.1.1' ); 
        }

        // URLs
		define( 'INS_PRO_URL', plugin_dir_url( __FILE__ ) );
		define( 'INS_PRO_LAYOUTS_URL', INS_PRO_URL.'includes/layouts' );
		define( 'INS_PRO_ASSETS_URL', INS_PRO_URL.'assets' );
		define( 'INS_PRO_ADMIN_URL', INS_PRO_URL.'admin' );
		// Paths
		define( 'INS_PRO_PATH', plugin_dir_path( __FILE__ ) );
		define( 'INS_PRO_ADMIN_PATH', INS_PRO_PATH.'admin' );
		define( 'INS_PRO_INC_PATH', INS_PRO_PATH.'includes' );
		define( 'INS_PRO_LAYOUTS_PATH', INS_PRO_INC_PATH.'/layouts' );
		define( 'INS_PRO_TEMPLATES_PATH', INS_PRO_INC_PATH.'/templates' );

         /**
         * Ajax install & activate Instantio
         *
         * @since 3.0
         * @link https://developer.wordpress.org/reference/functions/wp_ajax_install_plugin/
         */
        add_action("wp_ajax_ins_plugin_install" , "wp_ajax_install_plugin");
    } 
 
    /**
    * Include required core files used in admin and on the frontend.
    */

    private function includes() { 

        if(class_exists('INSTANTIO')){ 
            /**
             * Require license file
             */
            require_once INS_PRO_INC_PATH . "/license/license.php";
        }
		
        require_once __DIR__ . '/vendor/autoload.php';
    }

    /**
	 * Init Instantio when WordPress Initialises.
	 */
	private function init_hooks() {  
        add_action( 'plugins_loaded', array( $this, 'tf_plugin_loaded_action' ) );
        // if(class_exists('INSTANTIO')) { 
        //     new INS_PRO\Controller\Assets();
        // }
       
        new INS_PRO\Controller\Assets();
        
        if ( is_admin() && !wp_doing_ajax() ) {   
            new INS_PRO\Controller\Admin();
        } else {  
			new INS_PRO\Controller\App();
            new INS_PRO\Controller\Functions();
        }
	} 
 
    /**
    * Plugins Loaded Actions
    *
    * Including Option Panel
    *
    * Including Options
    */ 
    public function tf_plugin_loaded_action() {  
        // if ( file_exists( INS_PRO_PATH . 'admin/tf-options/TF_Options.php' ) ) {
		// 	require_once INS_PRO_PATH . 'admin/tf-options/TF_Options.php';
		// } 
    } 
} 
NEW WOOINS();
